Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707502 - sys-devel/distcc-3.3.3 : fails to build with -fno-common or gcc-10
Summary: sys-devel/distcc-3.3.3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords: PATCH, PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:31 UTC by Toralf Förster
Modified: 2020-05-31 12:47 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.30 KB, text/plain)
2020-01-30 19:31 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,127.30 KB, text/plain)
2020-01-30 19:31 UTC, Toralf Förster
Details
environment (environment,169.78 KB, text/plain)
2020-01-30 19:31 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.58 KB, application/x-bzip)
2020-01-30 19:31 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.08 KB, application/x-bzip)
2020-01-30 19:31 UTC, Toralf Förster
Details
sys-devel:distcc-3.3.3:20200130-164345.log (sys-devel:distcc-3.3.3:20200130-164345.log,38.46 KB, text/plain)
2020-01-30 19:31 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,42.26 KB, application/x-bzip)
2020-01-30 19:31 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:31:24 UTC
x86_64-pc-linux-gnu-gcc -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/lib\"" -DSYSCONFDIR="\"/etc\"" -DICONDIR="\"/usr/share/pixmaps\"" -Isrc -I"./src" -I"./lzo"   -O2 -pipe -march=native -fno-common -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -pthread -o src/srvrpc.o -c src/srvrpc.c
x86_64-pc-linux-gnu-gcc -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/lib\"" -DSYSCONFDIR="\"/etc\"" -DICONDIR="\"/usr/share/pixmaps\"" -Isrc -I"./src" -I"./lzo"   -O2 -pipe -march=native -fno-common -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -pthread -o src/stats.o -c src/stats.c
x86_64-pc-linux-gnu-gcc -DMINILZO_HAVE_CONFIG_H -DHAVE_CONFIG_H -D_GNU_SOURCE -DLIBDIR="\"/usr/lib\"" -DSYSCONFDIR="\"/etc\"" -DICONDIR="\"/usr/share/pixmaps\"" -Isrc -I"./src" -I"./lzo"   -O2 -pipe -march=native -fno-common -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -pthread -o src/fix_debug_info.o -c src/fix_debug_info.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -MD -W -Wall -Wimplicit -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wmissing-declarations -Wuninitialized -pthread -Wl,-O1 -Wl,--as-needed -o distccd src/access.o src/daemon.o  src/dopt.o src/dparent.o src/dsignal.o src/ncpus.o src/prefork.o src/stringmap.o src/serve.o src/setuid.o src/srvnet.o src/srvrpc.o src/state.o src/stats.o src/fix_debug_info.o src/arg.o src/argutil.o src/cleanup.o src/compress.o src/trace.o src/util.o src/io.o src/exec.o src/rpc.o src/tempfile.o src/bulk.o src/help.o src/filename.o src/lock.o src/netutil.o src/pump.o src/sendfile.o src/safeguard.o src/snprintf.o src/timeval.o src/dotd.o src/hosts.o src/hostfile.o src/implicit.o src/loadfile.o lzo/minilzo.o   -liberty -lpopt -lpopt 	
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/serve.o:(.bss+0x0): multiple definition of `stats_text'; src/prefork.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/stats.o:(.data.rel.local+0x0): multiple definition of `stats_text'; src/prefork.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-libressl-20200126-092715

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 15:46:24 +0000

emerge -qpvO sys-devel/distcc
[ebuild  N    ] sys-devel/distcc-3.3.3  USE="gtk ipv6 -gnome -gssapi -hardened (-selinux) -xinetd -zeroconf" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python3_6"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:31:27 UTC
Created attachment 609332 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:31:30 UTC
Created attachment 609334 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:31:33 UTC
Created attachment 609336 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:31:37 UTC
Created attachment 609338 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:31:39 UTC
Created attachment 609340 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:31:42 UTC
Created attachment 609342 [details]
sys-devel:distcc-3.3.3:20200130-164345.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:31:45 UTC
Created attachment 609344 [details]
temp.tbz2
Comment 9 Jan Breig 2020-05-14 00:06:07 UTC
The patch works for me. Thanks.
arm64, gcc 10, distcc 3.3.3-r1
Comment 10 Larry the Git Cow gentoo-dev 2020-05-31 12:47:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b76343af3ea4da0cf9dba731990a57c38a8cb85

commit 1b76343af3ea4da0cf9dba731990a57c38a8cb85
Author:     Joonas Niilola <juippis@gentoo.org>
AuthorDate: 2020-05-31 11:04:37 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-05-31 12:46:33 +0000

    sys-devel/distcc: gcc-10 fix from upstream
    
    Closes: https://bugs.gentoo.org/707502
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/16029

 sys-devel/distcc/distcc-3.3.3-r1.ebuild            |  2 ++
 .../distcc/files/distcc-3.3.3-gcc-10-fix.patch     | 28 ++++++++++++++++++++++
 2 files changed, 30 insertions(+)